package com.kym.service.admin;

import cn.hutool.poi.excel.ExcelWriter;
import com.baomidou.mybatisplus.extension.service.IService;
import com.kym.entity.admin.InvoiceDetail;
import com.kym.entity.admin.queryParams.InvoiceDetailQueryParam;
import com.kym.entity.common.PageBean;

public interface InvoiceDetailService extends IService<InvoiceDetail> {

    PageBean<InvoiceDetail> listInvoiceDetail(InvoiceDetailQueryParam params);

    ExcelWriter exportInvoiceDetail(InvoiceDetailQueryParam params);

    void createManualInvoiceDetail(InvoiceDetail invoiceDetail);
}